# IRsConDescriptor Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | Initialize ([in] const GUID *pId,[in] LPWSTR name,[in] LPWSTR desc,[in] VARTYPE vType,[in] const CLSID *pDataTypeId,[in] RtFlags dwFlags)
HRESULT | GetConGUID ([out, retval] GUID *id)
HRESULT | GetName ([out, retval] BSTR *name)
HRESULT | GetDescription ([out, retval] BSTR *desc)
HRESULT | GetDataType ([out, retval] VARTYPE *vType)
HRESULT | GetDataTypeId ([out, retval] GUID *dataTypeId)
HRESULT | IsEqual ([in] IRsConDescriptor *pConDesc,[out, retval] RtBool *pbVal)
HRESULT | IsShared ([out, retval] RtBool *pbShared)
HRESULT | DisableSharing (void)
HRESULT | IsRegistered ([out, retval] RtBool *pbGlobal)
HRESULT | SetRegistered (void)
## Properties
RtFlags * | DefaultFlags`[get]`

## Detailed Description

Interface to descriptor object of connector. It consist of connector unique id, name, description.

## Member Function Documentation

HRESULT IRsConDescriptor::Initialize | ( | [in] const GUID * | pId,
|  | [in] LPWSTR | name,
|  | [in] LPWSTR | desc,
|  | [in] VARTYPE | vType,
|  | [in] const CLSID * | pDataTypeId,
|  | [in] RtFlags | dwFlags |
| ) |  |  |

Initialize Connector Descriptor object.

Parameters:

  | pId | [in] .
  | name | [in] Short name of the connector.
  | desc | [in] Long description if the connector.
  | dataType | [in] Variant type of the data belonging to the connector.
  | dataTypeId | [in] The data type GUID of a RsDataObject belonging to the connector. This value is valid only if variant type is one of following: VT_UNKNOWN VT_DISPATCH VT_BYREF|VT_DISPATCH VT_BYREF|VT_UNKNOWN In other cases value is set to IID_NULL.
  | dwFlags | [in] Flags of the connector.

HRESULT IRsConDescriptor::GetConGUID | ( | [out, retval] GUID * | id | ) |

Returns connector unique identification.

Returns:
  id [out,retval] .

HRESULT IRsConDescriptor::GetName | ( | [out, retval] BSTR * | name | ) |

Returns:
  name [out,retval] Returns short name of the connector.

HRESULT IRsConDescriptor::GetDescription | ( | [out, retval] BSTR * | desc | ) |

Returns:
  desc [out,retval] Get long description of the connector.

HRESULT IRsConDescriptor::GetDataType | ( | [out, retval] VARTYPE * | vType | ) |

Returns:
  vType [out,retval] Get variant type of the data belonging to the connector.

HRESULT IRsConDescriptor::GetDataTypeId | ( | [out, retval] GUID * | dataTypeId | ) |

Returns:
  dataTypeId [out,retval] . The data type GUID of a RsDataObject belonging to the connector:
  This value is valid only if variant type is one of following:
  - VT_UNKNOWN
  - VT_DISPATCH
  - VT_BYREF|VT_DISPATCH
  - VT_BYREF|VT_UNKNOWN
    In other cases value is set to IID_NULL.

HRESULT IRsConDescriptor::IsEqual | ( | [in] IRsConDescriptor * | pConDesc,
|  | [out, retval] RtBool * | pbVal |
| ) |  |  |

Parameters:

  | pConDesc | [in] .

Returns:
  pbVal [out,retval] .

HRESULT IRsConDescriptor::IsShared | ( | [out, retval] RtBool * | pbShared | ) |

Returns:
  pbShared [out,retval] .

HRESULT IRsConDescriptor::DisableSharing | ( | void |  | ) |

DisableSharing.

HRESULT IRsConDescriptor::IsRegistered | ( | [out, retval] RtBool * | pbGlobal | ) |

Returns:
  pbGlobal [out,retval] .

HRESULT IRsConDescriptor::SetRegistered | ( | void |  | ) |

SetRegistered.

## Property Documentation

RtFlags * IRsConDescriptor::DefaultFlags`[get]`

Returns:
  pVal [out,retval] Get connector flags.